@charset "UTF-8";

/* ------------------------------------------------------------ */
/* マイページ共通 */
/* ------------------------------------------------------------ */
.mypage.fixed {
    position: fixed;
    width: 100%;
} 
.mypage .bg_right {
    background: #CCCCCC;
}
.mypage .bg_dark {
    background: #000;
    color: #fff;
}
.mypage .bg_right::before,
.mypage .bg_dark::before{
    content: '';
    display: block;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background: url("../img/bg_photo.png")no-repeat center / cover;
}
.mypage .grid {
    width: calc(100% - 10px);
    max-width: 1500px;
    margin: 0 auto;
}
.mypage .grid-item {
    width: 50%;
	padding: 3px;
}
.mypage .grid-item img {
    width: 100%;
}
.mypage .grid-item .photo {
    position: relative;
    display: block;
}
.mypage .grid-item .good-count {
    position: absolute;
    line-height: 1;
    bottom: 8px;
    left: 8px;
    font-size: 1.2em;
    color: #707070;
    font-weight: bold;
    text-shadow: 2px 2px 2px #fff, -2px -2px 2px #fff, -2px 2px 2px #fff, 2px -2px 2px #fff;
}
.mypage .grid-item .good-count.choice {
    color: #E6363D;
}
.mypage .grid-item .good-count::before {
    content: '★';
    display: inline-block;
    margin-right: 2px;
}
.modal {
    display: none;
    position: fixed;
    width: 100%;
    height: 100vh;
    padding-top: 60px;
/*    background: rgba(0,0,0,.7);*/
    top: 0;
    left: 0;
    z-index: 99;
}
.modal__overlay {
    background: rgba(0, 0, 0, 0.7);
    height: 100%;
    position: absolute;
    width: 100%;
}
.modal__content {
    width: 100%;
    height: 100%;
    margin: 0 auto;
    padding: 2em 1em;
    color: #fff;
    position: relative;
    z-index: 1;
    overflow-y: auto;
}
.modal__content .modal_inner {
    width: 100%;
    max-width: 1024px;
    margin: 0 auto;
}
.modal__content .js-modal-close {
    font-size: 1.4em;
    text-align: right;
    font-weight: bold;
    margin-bottom: 5px;
    transition: all .3s;
}
.modal__content .js-modal-close:hover {
    cursor: pointer;
    opacity: .7;
}
.modal__content h3 {
    margin: 0 auto .5em;
    line-height: 1.6;
}
.modal__content .comment {
    margin: 0 auto 2em;
}
.jenre_box {
    justify-content: center;
}

.jenre_box .flx_item {
    position: relative;
    color: #000;
    background: #fff;
    text-align: center;
    padding: 2em 1em;
    border-radius: 10px;
    max-width: 400px;
}
.jenre_box .detail h4 {
    font-size: 1.1em;
    margin: 0 auto 1em;
    line-height: 1.4
} 
.jenre_box .detail input[type="submit"].button,
.jenre_box .detail input[type="reset"].button,
.jenre_box .detail input[type="button"].button,
.jenre_box .detail .btn a,
.jenre_box .detail .btn.close,
.jenre_box .detail  button.button{
    min-width: inherit;
    width: 80%;
}
.jenre_box .detail .thx {
    font-size: 1.3rem;
    padding-top: 5px;
}
.entry-thum {
    margin: 0 auto 1em;
}

.form_box label.select-field {
    position: relative;
    cursor: pointer;
    display: block;
}
.form_box label.select-field::after {
    content: '▼';
    font-size: 12px;
    z-index: 3;
    right: 15px;
    top: 50%;
    transform: translateY(-50%);
    position: absolute;
}
@media screen and (min-width: 480px) {
  /* スマートフォン横 */
    .mypage .grid-item {
    width: calc(100%/3);
	padding: 5px;
}

    .entry-thum {
        position: relative;
        margin: 0 auto 2em;
    }
    .entry-thum::before {
        content: '';
        display: block;
        width: 100%;
        height: auto;
        padding-bottom: 60%;
    }
    .entry-thum img {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%,-50%);
        max-width: 100%;
        max-height: 100%;
       width: auto;
    height: auto;
    }
}
  
@media screen and (min-width: 768px) {
  /* タブレット縦 / スマートフォン横 */
     .jenre_box .flx_item {
        width: calc((100% - 2em)/3);
         min-width: 300px;
         background: none;
         border-radius: 0;
         margin: 0 1em 0 0;
         padding: 0;
         display: flex;
    }
    .jenre_box .flx_item:last-of-type {
        margin: 0;
    }
    .jenre_box .flx_item::before {
    content: '';
    display: inline-block;
    width: 100%;
    padding-top: 100%;
    background: #fff;
    border-radius: 50%
}
.jenre_box .detail {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    width: 90%;
    text-align: center;
}
    .modal__content {
        padding: 2em 5%;
    }
 
}
@media screen and (min-width: 1025px) {
  /* デスクトップ/タブレット横 */

    .mypage .grid-item .good-count {
        font-size: 2rem;
    }
    .modal {
        padding-top: 67px;
    }
    
}
